.tabbar {
  --background: #2F3545;
  --shadow: rgba(18, 22, 33, .32);
  --shadow-dark: rgba(18, 22, 33, .48);
  --active: #fff;
  --inactive: #6C7486;
  --r: 0deg;
  --x: 0px;
  width: 280px;
  border-radius: 6px;
  perspective: 180px;
  background: var(--background);
  box-shadow: var(--x) 12px 20px var(--shadow-dark);
  transition: transform 0.6s ease, box-shadow 0.6s ease;
  transform: perspective(200px) rotateX(4deg) translateX(var(--x)) rotateY(var(--r)) translateZ(6px);
}
.tabbar ul {
  margin: 0;
  padding: 0 4px;
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
}
.tabbar ul li a {
  display: block;
  padding: 16px 0 12px 0;
  text-decoration: none;
  color: var(--inactive);
  transition: color 0.4s ease;
  position: relative;
}
.tabbar ul li a svg,
.tabbar ul li a span {
  --z: 0px;
  display: block;
  transition: transform 0.4s ease, filter 0.4s ease;
  transform-origin: 50% 50%;
  transform: translate3d(0, 0, var(--z));
}
.tabbar ul li a svg {
  width: 24px;
  height: 24px;
  margin: 0 auto;
}
.tabbar ul li a span {
  text-align: center;
  margin-top: 12px;
  font-size: 11px;
  line-height: 1;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.8px;
}
.tabbar ul li.active a {
  color: var(--active);
}
.tabbar ul li.active a svg,
.tabbar ul li.active a span {
  transition-delay: 0.32s;
  filter: drop-shadow(0 8px 2px var(--shadow));
}
.tabbar ul li.active a svg {
  --z: 16px;
}
.tabbar ul li.active a span {
  --z: 12px;
}

html {
  box-sizing: border-box;
  -webkit-font-smoothing: subpixel-antialiased;
}

* {
  box-sizing: inherit;
}
*:before, *:after {
  box-sizing: inherit;
}

body {
  font-family: "Mukta Malar", Arial;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #1E2432;
}
body .dribbble {
  position: fixed;
  display: block;
  right: 20px;
  bottom: 20px;
}
body .dribbble img {
  display: block;
  height: 28px;
}